org.icefaces.ace.model.tree

## Class DeclarativeNodeDataModel<K>

- java.lang.Object
- - javax.faces.model.DataModel<K>
  - - org.icefaces.ace.model.tree.NodeDataModel<K>
    - - org.icefaces.ace.model.tree.DeclarativeNodeDataModel<K>

- All Implemented Interfaces:
    java.lang.Iterable<K>

      public class DeclarativeNodeDataModel<K>
      extends NodeDataModel<K>

  Created with IntelliJ IDEA. User: Nils Date: 8/15/12 Time: 8:39 PM To change this template use File | Settings | File Templates.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeclarativeNodeDataModel(TreeModelAdaptor adaptor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<java.util.Map.Entry<NodeKey,K>>` | `children()`
    `KeySegmentConverter` | `getConverter()`
    `java.lang.Object` | `getWrappedData()`
    `boolean` | `isLeaf()`
    `boolean` | `isMutable()`
    `boolean` | `isNodeAvailable()`
    `K` | `navToChild(java.lang.Object keySegment)`
    `K` | `navToKey(NodeKey key)`
    `K` | `navToParent()`
    `void` | `setConverter(KeySegmentConverter converter)`
    `void` | `setWrappedData(java.lang.Object data)`

    - ### Methods inherited from class org.icefaces.ace.model.tree.NodeDataModel

      `atNullRoot, getData, getEntry, getKey, getRowCount, getRowData, getRowIndex, insert, isRowAvailable, remove, setData, setKey, setRowIndex`

    - ### Methods inherited from class javax.faces.model.DataModel

      `addDataModelListener, getDataModelListeners, iterator, removeDataModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### DeclarativeNodeDataModel

          public DeclarativeNodeDataModel(TreeModelAdaptor adaptor)

  - ### Method Detail

    - #### isMutable

          public boolean isMutable()

      Specified by:
        `isMutable` in class `NodeDataModel<K>`

    - #### navToKey

          public K navToKey(NodeKey key)

      Specified by:
        `navToKey` in class `NodeDataModel<K>`

    - #### navToParent

          public K navToParent()

      Specified by:
        `navToParent` in class `NodeDataModel<K>`

    - #### navToChild

          public K navToChild(java.lang.Object keySegment)

      Specified by:
        `navToChild` in class `NodeDataModel<K>`

    - #### isNodeAvailable

          public boolean isNodeAvailable()

      Specified by:
        `isNodeAvailable` in class `NodeDataModel<K>`

    - #### isLeaf

          public boolean isLeaf()

      Specified by:
        `isLeaf` in class `NodeDataModel<K>`

    - #### children

          public java.util.Iterator<java.util.Map.Entry<NodeKey,K>> children()

      Specified by:
        `children` in class `NodeDataModel<K>`

    - #### getConverter

          public KeySegmentConverter getConverter()

      Specified by:
        `getConverter` in class `NodeDataModel<K>`

    - #### setConverter

          public void setConverter(KeySegmentConverter converter)

      Specified by:
        `setConverter` in class `NodeDataModel<K>`

    - #### getWrappedData

          public java.lang.Object getWrappedData()

      Specified by:
        `getWrappedData` in class `javax.faces.model.DataModel<K>`

    - #### setWrappedData

          public void setWrappedData(java.lang.Object data)

      Specified by:
        `setWrappedData` in class `javax.faces.model.DataModel<K>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.